#!/usr/bin/env bash

## Source scripts
scripts_brewpixel_roastery_dir=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source "${scripts_brewpixel_roastery_dir}/config.sh"

source "${scripts_brewpixel_roastery_dir}/../Burr/bootstrap.sh"
source "${scripts_brewpixel_roastery_dir}/../../bashful/bin/bashful"

for f in $(ls ${scripts_brewpixel_roastery_dir}/../Burr/*.sh);
    do source "${f}";
done

## Install dependencies
ensure_jq_installed

# Include the local config variables which can override the default variables
if [ -f "${scripts_brewpixel_roastery_dir}/../Burr/localdev.cfg" ]; then
    source "${scripts_brewpixel_roastery_dir}/../Burr/localdev.cfg"
else
    echo "no local config"
fi

bitbucket_consumer_access_token="$(curl "${bitbucket_access_token_url}" \
    -d grant_type=client_credentials \
    -u ${bitbucket_consumer_key}:${bitbucket_consumer_secret} | jq '.access_token')"

bitbucket_list_repos
printf $bitbucket_repo_list

